Bug 450227 - Updated Twisted packages please
Updated Twisted packages please
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-twisted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
: 464459 (view as bug list)
Depends On:
Blocks: 457219
  Show dependency treegraph
 
Reported: 2008-06-05 20:12 EDT by Timothy Selivanow
Modified: 2009-05-04 03:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 15:46:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Selivanow 2008-06-05 20:12:15 EDT
Would it be possible to get new versions of python-twisted?  Below are the
latest versions, all of which have had one release since the packaged version,
most have had at least two.  Core alone has had several feature enhancements and
numerous bug fixes.

Would it also be possible to get Twisted Web2 packaged, as it is no longer
defunct and has been updated to work with newest Twisted?


    * Twisted Core - 8.1.0
    * Twisted Conch - 8.1.0
    * Twisted Web - 8.1.0
    * Twisted Web2 - 8.1.0
    * Twisted Mail - 8.1.0
    * Twisted Names - 8.1.0
    * Twisted News - 8.1.0
    * Twisted Words - 8.1.0
    * Twisted Lore - 8.1.0
    * Twisted Runner - 8.0.0

Thanks!
Comment 1 Timothy Selivanow 2008-06-06 14:46:02 EDT
Well, I suppose web2 doesn't need to be included at this point.  I've been
looking at packaging Zope3 for some time and it needs some web2 components (they
include them in their dist.), but I don't need web2 right now.  My initial
evaluation of the stated of web2 was wrong (I haven't looked into it for a while
now).  Sorry about that.

It would still be nice to have the other components updated though :)
Comment 2 Matthias Saou 2008-08-19 09:14:29 EDT
Note that there is a web2 package review going on in bug #457219. Any insight about it's compatibility with the older Twisted package would be welcome.
Comment 3 Michal Schmidt 2008-11-19 18:12:34 EST
Any progress on getting updated Twisted into Fedora?
I package Jabbim (XMPP client) for Fedora. Its version 0.5, which is to be released in a month or two, will require them (including web2).
What needs to be done? Is there a way I can help?
Comment 4 Bug Zapper 2008-11-26 05:49:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Michal Schmidt 2008-12-20 03:41:27 EST
*** Bug 464459 has been marked as a duplicate of this bug. ***
Comment 6 Matthias Saou 2008-12-23 11:01:56 EST
I'm going to work on this in the next few days if there is no objection, in order to at least have this done in devel, so that we get the latest Twisted for Fedora 11.
Comment 7 Michal Schmidt 2008-12-29 07:31:20 EST
Matthias,
thank you for updating the Twisted packages in Rawhide. They're working fine for me so far. BTW, I noticed upstream released Twisted 8.2.0 already, with improvements for Python 2.6 (Twisted 8.1.0 prints deprecation warnings often).
Comment 8 Matthias Saou 2008-12-29 15:04:55 EST
(In reply to comment #7)
> thank you for updating the Twisted packages in Rawhide. They're working fine
> for me so far. BTW, I noticed upstream released Twisted 8.2.0 already, with
> improvements for Python 2.6 (Twisted 8.1.0 prints deprecation warnings often).

I also saw the 8.2.0 packages and am currently still testing the packages I use which require twisted to verify that they still work fine against them, then I'll update devel to 8.2.0 as it makes a lot of sense for the 2.6 compatibility changes.
Comment 9 Matthias Saou 2008-12-30 15:46:27 EST
I've updated devel to 8.2.0 after verifying that elisa and nevow both worked fine with it. The latest nevow has been "fixed" to no longer print deprecation warnings with the latest Twisted, other applications might require similar changes. The good thing is that everything seems to work nevertheless, which might be a sign of backwards compatibility concern from the Twisted developers.
Comment 10 Francois Aucamp 2009-05-04 03:13:14 EDT
Sorry for commenting on a closed bug, but it seems cleaner than creating a new one since it deals with the exact same problem.

Any chance of these updates being pushed to F-10? I've started using the WSGI handler from twisted-web2, which is dependent on a version of Twisted > 2.5.0. Summary of the relevant python traceback:

usr/lib/python2.5/site-packages/twisted/web2/wsgi.py in read, line 73
'module' object has no attribute 'blockingCallFromThread'

It happens because twisted.web2.wsgi expects twisted.threads to contain a "blockingCallFromThread" function, which is still missing in the 2.5.0 release. The relevant twisted trac ticket is:
http://twistedmatrix.com/trac/ticket/1042

Also, Twisted 8.2.0 has a built-in WSGI container which would make this problem mostly irrelevant anyway.

For the record, I'm using F10 and:
python-twisted-web2-0.2.0-4.r21556.fc10.i386
python-twisted-core-2.5.0-4.fc9.i386

Note You need to log in before you can comment on or make changes to this bug.